Bug 169902 - capiinit do not work correct - ERROR: cannot load module kernelcapi
capiinit do not work correct - ERROR: cannot load module kernelcapi
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: isdn4k-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 17:38 EDT by Uwe Beck
Modified: 2015-01-07 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 15:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uwe Beck 2005-10-04 17:38:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.7.12-1.4.1

Description of problem:
If no isdn module is loaded capi can be use with isdncard.

"capiinit can use to load the capi modules.

# capiinit
ERROR: cannot load module kernelcapi

# lsmod
kernelcapi             44641  0

"capiinit" should load capifs, kernelcapi, capi.

# modprobe -r kernelcapi

And now we load capi.

# modprobe capi

# lsmod
capi                   18177  0
capifs                  5961  2 capi
kernelcapi             44641  1 capi

I am not sure if this order is correct.

If this tree modules are loaded you can load the isdncard capi module.

At this time there are also some problems with modprobe -r for capi subsystem.

Also: There is no initscript for capi subsystem in RHEL4.


Version-Release number of selected component (if applicable):
isdn4k-utils-3.2-18.p1.1

How reproducible:
Always

Steps to Reproduce:
1. be sure no isdn module is loaded
2. capiinit
3.
  

Actual Results:  ERROR: cannot load module kernelcapi
only kernelcapi is loaded


Expected Results:  all necessary modules (capifs, kernelcapi, capi) should be loaded

Additional info:
Comment 1 Uwe Beck 2006-03-18 08:43:23 EST
Also open in RHEL4 update 3.
Comment 2 Ngo Than 2006-03-30 15:39:15 EST
RHEL3/4 only support the passiv ISDN cards. Active ISDN cards are not supported
yet. It should be supported in next coming RHEL5

Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.